@echo off

SET USERNAME_ARG=
SET PASSWORD_ARG=
SET HOSTNAME=
SET SERVERPORT=
SET COMMAND=

:processArguments
IF "%1" == "-?" GOTO help
IF "%1" == "-help" GOTO help

IF "%1"=="-username" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-u" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-user" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-password" SET PASSWORD_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-p" SET PASSWORD_ARG=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-host" SET HOSTNAME=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-port" SET SERVERPORT=%2 & SHIFT & SHIFT & GOTO processArguments

IF NOT "%1"=="" GOTO help

@REM if username is specified, password is required
SET SECURITY_PARM=
IF "%USERNAME_ARG%"=="" GOTO usermsg
IF "%PASSWORD_ARG%"=="" GOTO usermsg
SET SECURITY_PARM=-user %USERNAME_ARG% -password %PASSWORD_ARG%
GOTO chkhost
:usermsg
ECHO.
ECHO -username and -password both must be specified
GOTO help

@REM if hostname is specified, port is required
:chkhost
IF "%HOSTNAME%"=="" GOTO nohost
IF "%SERVERPORT%"=="" GOTO hostmsg
GOTO hostparm
:nohost
IF "%SERVERPORT%"=="" GOTO hostparm
:hostmsg
ECHO.
ECHO -host and -port both must be specified
GOTO help
   
:hostparm
IF "%HOSTNAME%"=="" GOTO noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar";%WAS_HOME%"/BPM/Lombardi/lib/utility.jar" %SECURITY_PARM% -conntype SOAP -host %HOSTNAME% -port %SERVERPORT% -f %WAS_HOME%"/BPM/Lombardi/tools/search-index/processIndexFullReindex.jy"    

GOTO END

:noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar";%WAS_HOME%"/BPM/Lombardi/lib/utility.jar" %SECURITY_PARM%  -f %WAS_HOME%"/BPM/Lombardi/tools/search-index/processIndexFullReindex.jy"    

GOTO END

:help
ECHO Usage:
ECHO.
ECHO    taskIndexFullReindex.bat [options...]
ECHO.
ECHO Options:
ECHO    -?, -help                                  This help message
ECHO    -u ^<username^>, -username ^<username^>        user name of admin user
ECHO    -p ^<password^>, -password ^<password^>        user password (unencrypted), must be used with username
ECHO    -host                                      server host name, must be used with port
ECHO    -port                                      server SOAP port number

GOTO END

:END
ECHO.
EXIT /B %RC%
ENDLOCAL