@echo off

SET USERNAME_ARG=
SET PASSWORD_ARG=
SET HOSTNAME=
SET SERVERPORT=
SET DYNAMICGROUPUPDATE=default

:processArguments
IF "%1" == "-?" GOTO help
IF "%1" == "-help" GOTO help

IF "%1"=="-username" SET USERNAME_ARG=-user %2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-u" SET USERNAME_ARG=-user %2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-user" SET USERNAME_ARG=-user %2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-password" SET PASSWORD_ARG=-password %2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-p" SET PASSWORD_ARG=-password %2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-host" SET HOSTNAME=-host %2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-port" SET SERVERPORT=-port %2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-dynamicGroupUpdate" SET DYNAMICGROUPUPDATE=%2 & SHIFT & SHIFT & GOTO processArguments

IF NOT "%1"=="" GOTO help

IF "%DYNAMICGROUPUPDATE%"==" " SET DYNAMICGROUPUPDATE=default

IF "%HOSTNAME%"=="" GOTO noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar";%WAS_HOME%"/BPM/Lombardi/lib/utility.jar" %USERNAME_ARG% %PASSWORD_ARG% -conntype SOAP %HOSTNAME% %SERVERPORT% -f %WAS_HOME%"/BPM/Lombardi/tools/security/groupMembershipFullUpdate.jy" -dynamicGroupUpdate %DYNAMICGROUPUPDATE%

GOTO END

:noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar";%WAS_HOME%"/BPM/Lombardi/lib/utility.jar" %USERNAME_ARG% %PASSWORD_ARG%  -f %WAS_HOME%"/BPM/Lombardi/tools/security/groupMembershipFullUpdate.jy" -dynamicGroupUpdate %DYNAMICGROUPUPDATE%

GOTO END

:help
ECHO Usage:
ECHO.
ECHO    groupMembershipFullUpdate.bat [options...]
ECHO.
ECHO Options:
ECHO    -?, -help                                  This help message
ECHO    -u ^<username^>, -username ^<username^>        user name of admin user
ECHO    -p ^<password^>, -password ^<password^>        user password (unencrypted)
ECHO    -host                                      server host name, must be used with port
ECHO    -port                                      server SOAP port number
ECHO    -dynamicGroupUpdate never^|default^|always   Specify ^'never^' to avoid or ^'always^' to enforce updates of dynamic groups.
ECHO                                               Omitting this option, passing ^'default^' or any other value will update
ECHO                                               dynamic groups only if a group membership change was detected.

GOTO END

:END
ECHO.
EXIT /B %RC%
ENDLOCAL